<?xml version="1.0"?>
<doc>
    <assembly>
        <name>Boare.Lib.Vsq</name>
    </assembly>
    <members>
        <member name="T:Boare.Lib.Vsq.BPPair">
            <summary>
            Stores the paired value of "Clock" and integer. Mainly used in VsqBPList
            </summary>
        </member>
        <member name="M:Boare.Lib.Vsq.BPPair.compareTo(Boare.Lib.Vsq.BPPair)">
            <summary>
            このインスタンスと、指定したオブジェクトを比較します
            </summary>
            <param name="item"></param>
            <returns></returns>
        </member>
        <member name="T:Boare.Lib.Vsq.Lyric">
            <summary>
            VsqHandleに格納される歌詞の情報を扱うクラス。
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.Lyric.Phrase">
            <summary>
            この歌詞のフレーズ
            </summary>
        </member>
        <member name="M:Boare.Lib.Vsq.Lyric.clone">
            <summary>
            このオブジェクトの簡易コピーを取得します。
            </summary>
            <returns>このインスタンスの簡易コピー</returns>
        </member>
        <member name="M:Boare.Lib.Vsq.Lyric.#ctor(System.String,System.String)">
            <summary>
            歌詞、発音記号を指定したコンストラクタ
            </summary>
            <param name="phrase">歌詞</param>
            <param name="phonetic_symbol">発音記号</param>
        </member>
        <member name="M:Boare.Lib.Vsq.Lyric.getPhoneticSymbol">
            <summary>
            この歌詞の発音記号を取得します。
            </summary>
        </member>
        <member name="M:Boare.Lib.Vsq.Lyric.setPhoneticSymbol(System.String)">
            <summary>
            この歌詞の発音記号を設定します。
            </summary>
        </member>
        <member name="P:Boare.Lib.Vsq.Lyric.PhoneticSymbol">
            <summary>
            XMLシリアライズ用
            </summary>
        </member>
        <member name="M:Boare.Lib.Vsq.Lyric.#ctor(System.String)">
            <summary>
            文字列からのコンストラクタ
            </summary>
            <param name="_line">生成元の文字列</param>
        </member>
        <member name="M:Boare.Lib.Vsq.Lyric.toString">
            <summary>
            このインスタンスを文字列に変換します
            </summary>
            <param name="a_encode">2バイト文字をエンコードするか否かを指定するフラグ</param>
            <returns>変換後の文字列</returns>
        </member>
        <member name="M:Boare.Lib.Vsq.LyricHandle.#ctor(System.String,System.String)">
            <summary>
            type = Lyric用のhandleのコンストラクタ
            </summary>
            <param name="phrase">歌詞</param>
            <param name="phonetic_symbol">発音記号</param>
        </member>
        <member name="T:Boare.Lib.Vsq.MidiEvent">
            <summary>
            midiイベント。メタイベントは、メタイベントのデータ長をData[1]に格納せず、生のデータをDataに格納するので、注意が必要
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CVM_NM_VERSION_AND_DEVICE">
            <summary>
            (0x5000) Version number(MSB) &amp;, Device number(LSB)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CVM_NM_DELAY">
            <summary>
            (0x5001) Delay in millisec(MSB, LSB)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CVM_NM_NOTE_NUMBER">
            <summary>
            (0x5002) Note number(MSB)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CVM_NM_VELOCITY">
            <summary>
            (0x5003) Velocity(MSB)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CVM_NM_NOTE_DURATION">
            <summary>
            (0x5004) Note Duration in millisec(MSB, LSB)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CVM_NM_NOTE_LOCATION">
            <summary>
            (0x5005) Note Location(MSB)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CVM_NM_ATTACK_TYPE">
            <summary>
            (0x5006) Attack Type(MSB, LSB)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CVM_NM_ATTACK_DURATION">
            <summary>
            (0x5007) Attack Duration in millisec(MSB, LSB)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CVM_NM_ATTACK_DEPTH">
            <summary>
            (0x5008) Attack Depth(MSB)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CVM_NM_INDEX_OF_VIBRATO_DB">
            <summary>
            (0x500c) Index of Vibrato DB(MSB: ID_H00, LSB:ID_L00)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CVM_NM_VIBRATO_CONFIG">
            <summary>
            (0x500d) Vibrato configuration(MSB: Index of Vibrato Type, LSB: Duration &amp;, Configuration parameter of vibrato)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CVM_NM_VIBRATO_DELAY">
            <summary>
            (0x500e) Vibrato Delay(MSB)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CVM_NM_PHONETIC_SYMBOL_BYTES">
            <summary>
            (0x5012) Number of phonetic symbols in bytes(MSB)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CVM_NM_PHONETIC_SYMBOL1">
            <summary>
            (0x5013) Phonetic symbol 1(MSB:Phonetic symbol 1, LSB: Consonant adjustment 1)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CVM_NM_PHONETIC_SYMBOL2">
            <summary>
            (0x5014) Phonetic symbol 2(MSB:Phonetic symbol 2, LSB: Consonant adjustment 2)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CVM_NM_PHONETIC_SYMBOL3">
            <summary>
            (0x5015) Phonetic symbol 3(MSB:Phonetic symbol 3, LSB: Consonant adjustment 3)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CVM_NM_PHONETIC_SYMBOL4">
            <summary>
            (0x5016) Phonetic symbol 4(MSB:Phonetic symbol 4, LSB: Consonant adjustment 4)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CVM_NM_PHONETIC_SYMBOL5">
            <summary>
            (0x5017) Phonetic symbol 5(MSB:Phonetic symbol 5, LSB: Consonant adjustment 5)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CVM_NM_PHONETIC_SYMBOL6">
            <summary>
            (0x5018) Phonetic symbol 6(MSB:Phonetic symbol 6, LSB: Consonant adjustment 6)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CVM_NM_PHONETIC_SYMBOL7">
            <summary>
            (0x5019) Phonetic symbol 7(MSB:Phonetic symbol 7, LSB: Consonant adjustment 7)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CVM_NM_PHONETIC_SYMBOL8">
            <summary>
            (0x501a) Phonetic symbol 8(MSB:Phonetic symbol 8, LSB: Consonant adjustment 8)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CVM_NM_PHONETIC_SYMBOL9">
            <summary>
            (0x501b) Phonetic symbol 9(MSB:Phonetic symbol 9, LSB: Consonant adjustment 9)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CVM_NM_PHONETIC_SYMBOL10">
            <summary>
            (0x501c) Phonetic symbol 10(MSB:Phonetic symbol 10, LSB: Consonant adjustment 10)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CVM_NM_PHONETIC_SYMBOL11">
            <summary>
            (0x501d) Phonetic symbol 11(MSB:Phonetic symbol 11, LSB: Consonant adjustment 11)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CVM_NM_PHONETIC_SYMBOL12">
            <summary>
            (0x501e) Phonetic symbol 12(MSB:Phonetic symbol 12, LSB: Consonant adjustment 12)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CVM_NM_PHONETIC_SYMBOL13">
            <summary>
            (0x501f) Phonetic symbol 13(MSB:Phonetic symbol 13, LSB: Consonant adjustment 13)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CVM_NM_PHONETIC_SYMBOL14">
            <summary>
            (0x5020) Phonetic symbol 14(MSB:Phonetic symbol 14, LSB: Consonant adjustment 14)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CVM_NM_PHONETIC_SYMBOL15">
            <summary>
            (0x5021) Phonetic symbol 15(MSB:Phonetic symbol 15, LSB: Consonant adjustment 15)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CVM_NM_PHONETIC_SYMBOL16">
            <summary>
            (0x5022) Phonetic symbol 16(MSB:Phonetic symbol 16, LSB: Consonant adjustment 16)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CVM_NM_PHONETIC_SYMBOL17">
            <summary>
            (0x5023) Phonetic symbol 17(MSB:Phonetic symbol 17, LSB: Consonant adjustment 17)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CVM_NM_PHONETIC_SYMBOL18">
            <summary>
            (0x5024) Phonetic symbol 18(MSB:Phonetic symbol 18, LSB: Consonant adjustment 18)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CVM_NM_PHONETIC_SYMBOL19">
            <summary>
            (0x5025) Phonetic symbol 19(MSB:Phonetic symbol 19, LSB: Consonant adjustment 19)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CVM_NM_PHONETIC_SYMBOL20">
            <summary>
            (0x5026) Phonetic symbol 20(MSB:Phonetic symbol 20, LSB: Consonant adjustment 20)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CVM_NM_PHONETIC_SYMBOL21">
            <summary>
            (0x5027) Phonetic symbol 21(MSB:Phonetic symbol 21, LSB: Consonant adjustment 21)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CVM_NM_PHONETIC_SYMBOL22">
            <summary>
            (0x5028) Phonetic symbol 22(MSB:Phonetic symbol 22, LSB: Consonant adjustment 22)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CVM_NM_PHONETIC_SYMBOL23">
            <summary>
            (0x5029) Phonetic symbol 23(MSB:Phonetic symbol 23, LSB: Consonant adjustment 23)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CVM_NM_PHONETIC_SYMBOL24">
            <summary>
            (0x502a) Phonetic symbol 24(MSB:Phonetic symbol 24, LSB: Consonant adjustment 24)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CVM_NM_PHONETIC_SYMBOL25">
            <summary>
            (0x502b) Phonetic symbol 25(MSB:Phonetic symbol 25, LSB: Consonant adjustment 25)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CVM_NM_PHONETIC_SYMBOL26">
            <summary>
            (0x502c) Phonetic symbol 26(MSB:Phonetic symbol 26, LSB: Consonant adjustment 26)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CVM_NM_PHONETIC_SYMBOL27">
            <summary>
            (0x502d) Phonetic symbol 27(MSB:Phonetic symbol 27, LSB: Consonant adjustment 27)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CVM_NM_PHONETIC_SYMBOL28">
            <summary>
            (0x502e) Phonetic symbol 28(MSB:Phonetic symbol 28, LSB: Consonant adjustment 28)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CVM_NM_PHONETIC_SYMBOL29">
            <summary>
            (0x502f) Phonetic symbol 29(MSB:Phonetic symbol 29, LSB: Consonant adjustment 29)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CVM_NM_PHONETIC_SYMBOL30">
            <summary>
            (0x5030) Phonetic symbol 30(MSB:Phonetic symbol 30, LSB: Consonant adjustment 30)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CVM_NM_PHONETIC_SYMBOL31">
            <summary>
            (0x5031) Phonetic symbol 31(MSB:Phonetic symbol 31, LSB: Consonant adjustment 31)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CVM_NM_PHONETIC_SYMBOL32">
            <summary>
            (0x5032) Phonetic symbol 32(MSB:Phonetic symbol 32, LSB: Consonant adjustment 32)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CVM_NM_PHONETIC_SYMBOL33">
            <summary>
            (0x5033) Phonetic symbol 33(MSB:Phonetic symbol 33, LSB: Consonant adjustment 33)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CVM_NM_PHONETIC_SYMBOL34">
            <summary>
            (0x5034) Phonetic symbol 34(MSB:Phonetic symbol 34, LSB: Consonant adjustment 34)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CVM_NM_PHONETIC_SYMBOL35">
            <summary>
            (0x5035) Phonetic symbol 35(MSB:Phonetic symbol 35, LSB: Consonant adjustment 35)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CVM_NM_PHONETIC_SYMBOL36">
            <summary>
            (0x5036) Phonetic symbol 36(MSB:Phonetic symbol 36, LSB: Consonant adjustment 36)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CVM_NM_PHONETIC_SYMBOL37">
            <summary>
            (0x5037) Phonetic symbol 37(MSB:Phonetic symbol 37, LSB: Consonant adjustment 37)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CVM_NM_PHONETIC_SYMBOL38">
            <summary>
            (0x5038) Phonetic symbol 38(MSB:Phonetic symbol 38, LSB: Consonant adjustment 38)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CVM_NM_PHONETIC_SYMBOL39">
            <summary>
            (0x5039) Phonetic symbol 39(MSB:Phonetic symbol 39, LSB: Consonant adjustment 39)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CVM_NM_PHONETIC_SYMBOL40">
            <summary>
            (0x503a) Phonetic symbol 40(MSB:Phonetic symbol 40, LSB: Consonant adjustment 40)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CVM_NM_PHONETIC_SYMBOL41">
            <summary>
            (0x503b) Phonetic symbol 41(MSB:Phonetic symbol 41, LSB: Consonant adjustment 41)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CVM_NM_PHONETIC_SYMBOL42">
            <summary>
            (0x503c) Phonetic symbol 42(MSB:Phonetic symbol 42, LSB: Consonant adjustment 42)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CVM_NM_PHONETIC_SYMBOL43">
            <summary>
            (0x503d) Phonetic symbol 43(MSB:Phonetic symbol 43, LSB: Consonant adjustment 43)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CVM_NM_PHONETIC_SYMBOL44">
            <summary>
            (0x503e) Phonetic symbol 44(MSB:Phonetic symbol 44, LSB: Consonant adjustment 44)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CVM_NM_PHONETIC_SYMBOL45">
            <summary>
            (0x503f) Phonetic symbol 45(MSB:Phonetic symbol 45, LSB: Consonant adjustment 45)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CVM_NM_PHONETIC_SYMBOL46">
            <summary>
            (0x5040) Phonetic symbol 46(MSB:Phonetic symbol 46, LSB: Consonant adjustment 46)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CVM_NM_PHONETIC_SYMBOL47">
            <summary>
            (0x5041) Phonetic symbol 47(MSB:Phonetic symbol 47, LSB: Consonant adjustment 47)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CVM_NM_PHONETIC_SYMBOL48">
            <summary>
            (0x5042) Phonetic symbol 48(MSB:Phonetic symbol 48, LSB: Consonant adjustment 48)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CVM_NM_PHONETIC_SYMBOL49">
            <summary>
            (0x5043) Phonetic symbol 49(MSB:Phonetic symbol 49, LSB: Consonant adjustment 49)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CVM_NM_PHONETIC_SYMBOL50">
            <summary>
            (0x5044) Phonetic symbol 50(MSB:Phonetic symbol 50, LSB: Consonant adjustment 50)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CVM_NM_PHONETIC_SYMBOL51">
            <summary>
            (0x5045) Phonetic symbol 51(MSB:Phonetic symbol 51, LSB: Consonant adjustment 51)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CVM_NM_PHONETIC_SYMBOL52">
            <summary>
            (0x5046) Phonetic symbol 52(MSB:Phonetic symbol 52, LSB: Consonant adjustment 52)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CVM_NM_PHONETIC_SYMBOL53">
            <summary>
            (0x5047) Phonetic symbol 53(MSB:Phonetic symbol 53, LSB: Consonant adjustment 53)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CVM_NM_PHONETIC_SYMBOL54">
            <summary>
            (0x5048) Phonetic symbol 54(MSB:Phonetic symbol 54, LSB: Consonant adjustment 54)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CVM_NM_PHONETIC_SYMBOL55">
            <summary>
            (0x5049) Phonetic symbol 55(MSB:Phonetic symbol 55, LSB: Consonant adjustment 55)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CVM_NM_PHONETIC_SYMBOL56">
            <summary>
            (0x504a) Phonetic symbol 56(MSB:Phonetic symbol 56, LSB: Consonant adjustment 56)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CVM_NM_PHONETIC_SYMBOL57">
            <summary>
            (0x504b) Phonetic symbol 57(MSB:Phonetic symbol 57, LSB: Consonant adjustment 57)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CVM_NM_PHONETIC_SYMBOL58">
            <summary>
            (0x504c) Phonetic symbol 58(MSB:Phonetic symbol 58, LSB: Consonant adjustment 58)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CVM_NM_PHONETIC_SYMBOL59">
            <summary>
            (0x504d) Phonetic symbol 59(MSB:Phonetic symbol 59, LSB: Consonant adjustment 59)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CVM_NM_PHONETIC_SYMBOL60">
            <summary>
            (0x504e) Phonetic symbol 60(MSB:Phonetic symbol 60, LSB: Consonant adjustment 60)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CVM_NM_PHONETIC_SYMBOL_CONTINUATION">
            <summary>
            (0x504f) Phonetic symbol continuation(MSB, 0x7f=end, 0x00=continue)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CVM_NM_V1MEAN">
            <summary>
            (0x5050) v1mean in Cent/5(MSB)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CVM_NM_D1MEAN">
            <summary>
            (0x5051) d1mean in millisec/5(MSB)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CVM_NM_D1MEAN_FIRST_NOTE">
            <summary>
            (0x5052) d1meanFirstNote in millisec/5(MSB)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CVM_NM_D2MEAN">
            <summary>
            (0x5053) d2mean in millisec/5(MSB)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CVM_NM_D4MEAN">
            <summary>
            (0x5054) d4mean in millisec/5(MSB)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CVM_NM_PMEAN_ONSET_FIRST_NOTE">
            <summary>
            (0x5055) pMeanOnsetFirstNote in Cent/5(MSB)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CVM_NM_VMEAN_NOTE_TRNSITION">
            <summary>
            (0x5056) vMeanNoteTransition in Cent/5(MSB)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CVM_NM_PMEAN_ENDING_NOTE">
            <summary>
            (0x5057) pMeanEndingNote in Cent/5(MSB)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CVM_NM_ADD_PORTAMENTO">
            <summary>
            (0x5058) AddScooptoUpIntervals &amp;, AddPortamentoToDownIntervals(MSB)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CVM_NM_CHANGE_AFTER_PEAK">
            <summary>
            (0x5059) changAfterPeak(MSB)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CVM_NM_ACCENT">
            <summary>
            (0x505a) Accent(MSB)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CVM_NM_NOTE_MESSAGE_CONTINUATION">
            <summary>
            (0x507f) Note message continuation(MSB)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CVM_EXNM_VOICE_OVERLAP">
            <summary>
            (0x5075) Extended Note message; Voice Overlap(MSB, LSB)(VoiceOverlap = ((MSB &amp; 0x7f) &lt;&lt; 7) | (LSB &amp; 0x7f) - 8192)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CVM_EXNM_FLAGS_BYTES">
            <summary>
            (0x5076) Extended Note message; Flags length in bytes(MSB, LSB)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CVM_EXNM_FLAGS">
            <summary>
            (0x5077) Extended Note message; Flag(MSB)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CVM_EXNM_FLAGS_CONINUATION">
            <summary>
            (0x5078) Extended Note message; Flag continuation(MSB)(MSB, 0x7f=end, 0x00=continue)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CVM_EXNM_MODURATION">
            <summary>
            (0x5079) Extended Note message; Moduration(MSB, LSB)(Moduration = ((MSB &amp; 0x7f) &lt;&lt; 7) | (LSB &amp; 0x7f) - 100)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CVM_EXNM_PRE_UTTERANCE">
            <summary>
            (0x507a) Extended Note message; PreUtterance(MSB, LSB)(PreUtterance = ((MSB &amp; 0x7f) &lt;&lt; 7) | (LSB &amp; 0x7f) - 8192)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CVM_EXNM_ENV_DATA1">
            <summary>
            (0x507e) Extended Note message; Envelope: value1(MSB, LSB) actual value = (value3.msb &amp; 0xf) &lt;&lt; 28 | (value2.msb &amp; 0x7f) &lt;&lt; 21 | (value2.lsb &amp; 0x7f) &lt;&lt; 14 | (value1.msb &amp; 0x7f) &lt;&lt; 7 | (value1.lsb &amp; 0x7f)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CVM_EXNM_ENV_DATA2">
            <summary>
            (0x507d) Extended Note message; Envelope: value2(MSB, LSB)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CVM_EXNM_ENV_DATA3">
            <summary>
            (0x507c) Extended Note message; Envelope: value3(MSB)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CVM_EXNM_ENV_DATA_CONTINUATION">
            <summary>
            (0x507b) Extended Note message; Envelope: data point continuation(MSB)(MSB, 0x7f=end, 0x00=continue)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CC_BS_VERSION_AND_DEVICE">
            <summary>
            (0x6000) Version number &amp;, Device number(MSB, LSB)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CC_BS_DELAY">
            <summary>
            (0x6001) Delay in millisec(MSB, LSB)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CC_BS_LANGUAGE_TYPE">
            <summary>
            (0x6002) Laugnage type(MSB, optional LSB)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CC_CV_VERSION_AND_DEVICE">
            <summary>
            (0x6100) Version number &amp;, device number(MSB, LSB)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CC_CV_DELAY">
            <summary>
            (0x6101) Delay in millisec(MSB, LSB)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CC_CV_VOLUME">
            <summary>
            (0x6102) Volume value(MSB)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CC_P_VERSION_AND_DEVICE">
            <summary>
            (0x6200) Version number &amp;, device number(MSB, LSB)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CC_P_DELAY">
            <summary>
            (0x6201) Delay in millisec(MSB, LSB)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CC_PAN">
            <summary>
            (0x6202) Pan value(MSB)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CC_E_VESION_AND_DEVICE">
            <summary>
            (0x6300) Version number &amp;, device number(MSB, LSB)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CC_E_DELAY">
            <summary>
            (0x6301) Delay in millisec(MSB, LSB)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CC_E_EXPRESSION">
            <summary>
            (0x6302) Expression vlaue(MSB)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CC_VR_VERSION_AND_DEVICE">
            <summary>
            (0x6400) Version number &amp;, device number(MSB, LSB)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CC_VR_DELAY">
            <summary>
            (0x6401) Delay in millisec(MSB, LSB)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CC_VR_VIBRATO_RATE">
            <summary>
            (0x6402) Vibrato Rate value(MSB)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CC_VD_VERSION_AND_DEVICE">
            <summary>
            (0x6500) Version number &amp;, device number(MSB, LSB)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CC_VD_DELAY">
            <summary>
            (0x6501) Delay in millisec(MSB, LSB)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CC_VD_VIBRATO_DEPTH">
            <summary>
            (0x6502) Vibrato Depth value(MSB)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CC_FX2_VERSION_AND_DEVICE">
            <summary>
            (0x6600) Version number &amp;, device number(MSB, LSB)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CC_FX2_DELAY">
            <summary>
            (0x6601) Delay in millisec(MSB, LSB)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CC_FX2_EFFECT2_DEPTH">
            <summary>
            (0x6602) Effect2 Depth(MSB)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CC_PBS_VERSION_AND_DEVICE">
            <summary>
            (0x6700) Version number &amp;, device number(MSB, LSB)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CC_PBS_DELAY">
            <summary>
            (0x6701) Delay in millisec(MSB, LSB)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.CC_PBS_PITCH_BEND_SENSITIVITY">
            <summary>
            (0x6702) Pitch Bend Sensitivity(MSB, LSB)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.PC_VERSION_AND_DEVICE">
            <summary>
            (0x5300) Version number &amp;, device number(MSB, LSB)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.PC_DELAY">
            <summary>
            (0x5301) Delay in millisec(MSB, LSB)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.PC_VOICE_TYPE">
            <summary>
            (0x5302) Voice Type(MSB)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.PB_VERSION_AND_DEVICE">
            <summary>
            (0x5400) Version number &amp;, device number(MSB, LSB)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.PB_DELAY">
            <summary>
            (0x5401) Delay in millisec(MSB, LSB)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.PB_PITCH_BEND">
            <summary>
            (0x5402) Pitch Bend value(MSB, LSB)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.VCP_VERSION_AND_DEVICE">
            <summary>
            (0x5500) Version number &amp;, device number(MSB, LSB)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.VCP_DELAY">
            <summary>
            (0x5501) Delay in millisec(MSB, LSB)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.VCP_VOICE_CHANGE_PARAMETER_ID">
            <summary>
            (0x5502) Voice Change Parameter ID(MSB)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.NRPN.VCP_VOICE_CHANGE_PARAMETER">
            <summary>
            (0x5503) Voice Change Parameter value(MSB)
            </summary>
        </member>
        <member name="M:Boare.Lib.Vsq.NRPN.getVoiceChangeParameterID(System.String)">
            <summary>
            指定したコントロールに対応するVoice Change Parameter IDの値を調べます
            </summary>
            <param name="curve_name"></param>
            <returns></returns>
        </member>
        <member name="M:Boare.Lib.Vsq.SingerConfig.get_quated_string(System.String,System.Int32)">
            <summary>
            位置positionにある'"'から，次に現れる'"'の位置を調べる．エスケープされた\"はスキップされる．'"'が見つからなかった場合-1を返す
            </summary>
            <param name="s"></param>
            <param name="position"></param>
            <returns></returns>
        </member>
        <member name="M:Boare.Lib.Vsq.SingerConfigSys.#ctor(System.String,System.String[])">
            <summary>
            
            </summary>
            <param name="path_voicedb">音源のデータディレクトリ(ex:"C:\Program Files\VOCALOID2\voicedbdir")</param>
            <param name="path_installed_singers">音源のインストールディレクトリ(ex:new String[]{ "C:\Program Files\VOCALOID2\voicedbdir\BXXXXXXXXXXXXXXX", "D:\singers\BNXXXXXXXXXX" })</param>
        </member>
        <member name="M:Boare.Lib.Vsq.SingerConfigSys.getSingerID(System.String)">
            <summary>
            Gets the VsqID of program change.
            </summary>
            <param name="program_change"></param>
            <returns></returns>        
        </member>
        <member name="M:Boare.Lib.Vsq.SingerConfigSys.getSingerInfo(System.String)">
            <summary>
            Gets the singer information of pecified program change.
            </summary>
            <param name="program_change"></param>
            <returns></returns>
        </member>
        <member name="M:Boare.Lib.Vsq.SingerConfigSys.getSingerConfigs">
            <summary>
            Gets the list of singer configs.
            </summary>
            <returns></returns>
        </member>
        <member name="F:Boare.Lib.Vsq.UstFile.PREV_INDEX">
            <summary>
            [#PREV]が指定されているUstEventのIndex
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.UstFile.NEXT_INDEX">
            <summary>
            [#NEXT]が指定されているUstEventのIndex
            </summary>
        </member>
        <member name="M:Boare.Lib.Vsq.UstFile.#ctor(Boare.Lib.Vsq.VsqFile,System.Int32)">
            <summary>
            vsqの指定したトラックを元に，トラックを1つだけ持つustを構築します
            </summary>
            <param name="vsq"></param>
            <param name="track_index"></param>
        </member>
        <member name="M:Boare.Lib.Vsq.UstFile.updateTempoInfo">
            <summary>
            TempoTableの[*].Timeの部分を更新します
            </summary>
            <returns></returns>
        </member>
        <member name="M:Boare.Lib.Vsq.UstFile.getSecFromClock(System.Int32)">
            <summary>
            指定したクロックにおける、clock=0からの演奏経過時間(sec)
            </summary>
            <param name="clock"></param>
            <returns></returns>
        </member>
        <member name="F:Boare.Lib.Vsq.UstPortamentoType.S">
            <summary>
            S型．表記は''(空文字)
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.UstPortamentoType.Linear">
            <summary>
            直線型．表記は's'
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.UstPortamentoType.R">
            <summary>
            R型．表記は'r'
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.UstPortamentoType.J">
            <summary>
            J型．表記は'j'
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.UstVibrato.Length">
            <summary>
            音符の長さに対する、パーセントで表したビブラートの長さ。
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.UstVibrato.Period">
            <summary>
            ミリセカンドで表したビブラートによるピッチ振動の周期
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.UstVibrato.Depth">
            <summary>
            Centで表した、ビブラートによるピッチ振動の振幅。Peak to Peakは2*Depthとなる。
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.UstVibrato.In">
            <summary>
            ビブラート長さに対する、パーセントで表したピッチ振動のフェードインの長さ。
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.UstVibrato.Out">
            <summary>
            ビブラートの長さに対するパーセントで表したピッチ振動のフェードアウトの長さ。
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.UstVibrato.Phase">
            <summary>
            ピッチ振動開始時の位相。2PIに対するパーセントで表す。
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.UstVibrato.Shift">
            <summary>
            ピッチ振動の中心値と、音符の本来の音の高さからのずれ。Depthに対するパーセントで表す。
            </summary>
        </member>
        <member name="P:Boare.Lib.Vsq.VibratoBPList.Data">
            <summary>
            XMLシリアライズ用
            </summary>
        </member>
        <member name="M:Boare.Lib.Vsq.VocaloSysUtil.getDefaultVibratoHandle(System.String,System.Int32,Boare.Lib.Vsq.SynthesizerType)">
            <summary>
            ビブラートのプリセットタイプから，VibratoHandleを作成します
            </summary>
            <param name="type"></param>
            <param name="vibrato_clocks"></param>
            <returns></returns>
        </member>
        <member name="M:Boare.Lib.Vsq.VocaloSysUtil.print(System.String,System.String,bocoree.java.util.Vector{System.String})">
            <summary>
            レジストリkey内の値を再帰的に検索し、ファイルfpに順次出力する
            </summary>
            <param name="key"></param>
            <param name="parent_name"></param>
            <param name="list"></param>
        </member>
        <member name="M:Boare.Lib.Vsq.VocaloSysUtil.getOriginalSinger(System.String,Boare.Lib.Vsq.SynthesizerType)">
            <summary>
            Gets the name of original singer of specified program change.
            </summary>
            <param name="singer"></param>
            <returns></returns>
        </member>
        <member name="M:Boare.Lib.Vsq.VocaloSysUtil.getLanguageFromName(System.String)">
            <summary>
            Gets the voice language of specified program change
            </summary>
            <param name="name">name of singer</param>
            <returns></returns>
        </member>
        <member name="M:Boare.Lib.Vsq.VocaloSysUtil.makelong_le(System.Byte[])">
            <summary>
            Transform the byte array(length=8) to unsigned long, assuming that the byte array is little endian.
            </summary>
            <param name="oct"></param>
            <returns></returns>
        </member>
        <member name="T:Boare.Lib.Vsq.VsqCommon">
            <summary>
            vsqファイルのメタテキストの[Common]セクションに記録される内容を取り扱う
            </summary>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqCommon.#ctor(System.String,System.Int32,System.Int32,System.Int32,System.Int32,System.Int32)">
            <summary>
            各パラメータを指定したコンストラクタ
            </summary>
            <param name="name">トラック名</param>
            <param name="color">Color値（意味は不明）</param>
            <param name="dynamics_mode">DynamicsMode（デフォルトは1）</param>
            <param name="play_mode">PlayMode（デフォルトは1）</param>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqCommon.#ctor(Boare.Lib.Vsq.TextMemoryStream,bocoree.ByRef{System.String})">
            <summary>
            MetaTextのテキストファイルからのコンストラクタ
            </summary>
            <param name="sr">読み込むテキストファイル</param>
            <param name="last_line">読み込んだ最後の行が返される</param>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqCommon.write(Boare.Lib.Vsq.TextMemoryStream)">
            <summary>
            インスタンスの内容をテキストファイルに出力します
            </summary>
            <param name="sw">出力先</param>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqCommon.test">
            <summary>
            VsqCommon構造体を構築するテストを行います
            </summary>
            <returns>テストに成功すればtrue、そうでなければfalse</returns>
        </member>
        <member name="T:Boare.Lib.Vsq.VsqEventList">
            <summary>
            固有ID付きのVsqEventのリストを取り扱う
            </summary>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqEventList.#ctor">
            <summary>
            コンストラクタ
            </summary>
        </member>
        <member name="T:Boare.Lib.Vsq.VsqHandle">
            <summary>
            ハンドルを取り扱います。ハンドルにはLyricHandle、VibratoHandle、IconHandleおよびNoteHeadHandleがある
            </summary>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqHandle.writeCor(Boare.Lib.Vsq.ITextWriter)">
            <summary>
            インスタンスをストリームに書き込みます。
            encode=trueの場合、2バイト文字をエンコードして出力します。
            </summary>
            <param name="sw">書き込み対象</param>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqHandle.#ctor(Boare.Lib.Vsq.TextMemoryStream,System.Int32,bocoree.ByRef{System.String})">
            <summary>
            FileStreamから読み込みながらコンストラクト
            </summary>
            <param name="sr">読み込み対象</param>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqHandle.HandleIndexFromString(System.String)">
            <summary>
            ハンドル指定子（例えば"h#0123"という文字列）からハンドル番号を取得します
            </summary>
            <param name="_string">ハンドル指定子</param>
            <returns>ハンドル番号</returns>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqHandle.print(bocoree.java.io.BufferedWriter)">
            <summary>
            インスタンスをテキストファイルに出力します
            </summary>
            <param name="sw">出力先</param>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqHandle.print">
            <summary>
            インスタンスをコンソール画面に出力します
            </summary>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqHandle.toString">
            <summary>
            インスタンスを文字列に変換します
            </summary>
            <param name="encode">2バイト文字をエンコードするか否かを指定するフラグ</param>
            <returns>インスタンスを変換した文字列</returns>
        </member>
        <member name="T:Boare.Lib.Vsq.VsqID">
            <summary>
            メタテキストに埋め込まれるIDを表すクラス。
            </summary>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqID.clone">
            <summary>
            このインスタンスの簡易コピーを取得します。
            </summary>
            <returns>このインスタンスの簡易コピー</returns>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqID.#ctor(System.Int32)">
            <summary>
            IDの番号（ID#****の****）を指定したコンストラクタ。
            </summary>
            <param name="a_value">IDの番号</param>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqID.#ctor(Boare.Lib.Vsq.TextMemoryStream,System.Int32,bocoree.ByRef{System.String})">
            <summary>
            テキストファイルからのコンストラクタ
            </summary>
            <param name="sr">読み込み対象</param>
            <param name="value"></param>
            <param name="last_line">読み込んだ最後の行が返されます</param>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqID.test">
            <summary>
            VsqIDを構築するテストを行います。
            </summary>
            <returns>テストに成功すればtrue、そうでなければfalseを返します</returns>
        </member>
        <member name="T:Boare.Lib.Vsq.VsqMaster">
            <summary>
            vsqファイルのメタテキストの[Master]に記録される内容を取り扱う
            </summary>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqMaster.#ctor(System.Int32)">
            <summary>
            プリメジャー値を指定したコンストラクタ
            </summary>
            <param name="pre_measure"></param>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqMaster.#ctor(Boare.Lib.Vsq.TextMemoryStream,bocoree.ByRef{System.String})">
            <summary>
            テキストファイルからのコンストラクタ
            </summary>
            <param name="sr">読み込み元</param>
            <param name="last_line">最後に読み込んだ行が返されます</param>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqMaster.write(Boare.Lib.Vsq.TextMemoryStream)">
            <summary>
            インスタンスの内容をテキストファイルに出力します
            </summary>
            <param name="sw">出力先</param>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqMaster.test">
            <summary>
            VsqMasterのインスタンスを構築するテストを行います
            </summary>
            <returns>テストに成功すればtrue、そうでなければfalseを返します</returns>
        </member>
        <member name="T:Boare.Lib.Vsq.VsqMetaText">
            <summary>
            vsqのメタテキストの中身を処理するためのクラス
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.VsqMetaText.PIT">
            <summary>
            PIT。ピッチベンド(pitchBendBPList)。default=0
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.VsqMetaText.PBS">
            <summary>
            PBS。ピッチベンドセンシティビティ(pitchBendSensBPList)。dfault=2
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.VsqMetaText.DYN">
            <summary>
            DYN。ダイナミクス(dynamicsBPList)。default=64
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.VsqMetaText.BRE">
            <summary>
            BRE。ブレシネス(epRResidualBPList)。default=0
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.VsqMetaText.BRI">
            <summary>
            BRI。ブライトネス(epRESlopeBPList)。default=64
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.VsqMetaText.CLE">
            <summary>
            CLE。クリアネス(epRESlopeDepthBPList)。default=0
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.VsqMetaText.harmonics">
            <summary>
            Harmonics。(EpRSineBPList)default = 64
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.VsqMetaText.fx2depth">
            <summary>
            Effect2 Depth。
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.VsqMetaText.GEN">
            <summary>
            GEN。ジェンダーファクター(genderFactorBPList)。default=64
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.VsqMetaText.POR">
            <summary>
            POR。ポルタメントタイミング(portamentoTimingBPList)。default=64
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.VsqMetaText.OPE">
            <summary>
            OPE。オープニング(openingBPList)。default=127
            </summary>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqMetaText.getCurve(System.Int32)">
            <summary>
            Editor画面上で上からindex番目のカーブを表すBPListを求めます
            </summary>
            <param name="index"></param>
            <returns></returns>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqMetaText.getCurveName(System.Int32)">
            <summary>
            Editor画面上で上からindex番目のカーブの名前を調べます
            </summary>
            <param name="index"></param>
            <returns></returns>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqMetaText.getSinger">
            <summary>
            Singerプロパティに指定されている
            </summary>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqMetaText.getIndexOfEOS">
            <summary>
            EOSイベントが記録されているクロックを取得します。
            </summary>
            <returns></returns>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqMetaText.buildHandleList">
            <summary>
            このインスタンスから、Handleのリストを作成すると同時に、Eventsに登録されているVsqEventのvalue値および各ハンドルのvalue値を更新します
            </summary>
            <returns></returns>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqMetaText.print(Boare.Lib.Vsq.TextMemoryStream,System.Int32,System.Int32)">
            <summary>
            このインスタンスの内容を指定されたファイルに出力します。
            </summary>
            <param name="sw"></param>
            <param name="encode"></param>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqMetaText.#ctor">
            <summary>
            何も無いVsqMetaTextを構築する。これは、Master Track用のMetaTextとしてのみ使用されるべき
            </summary>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqMetaText.#ctor(System.String,System.String)">
            <summary>
            最初のトラック以外の一般のメタテキストを構築。(Masterが作られない)
            </summary>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqMetaText.#ctor(System.String,System.String,System.Int32)">
            <summary>
            最初のトラックのメタテキストを構築。(Masterが作られる)
            </summary>
            <param name="pre_measure"></param>
        </member>
        <member name="T:Boare.Lib.Vsq.VsqMixer">
            <summary>
            vsqファイルのメタテキストの[Mixer]セクションに記録される内容を取り扱う
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.VsqMixer.Slave">
            <summary>
            vsqファイルの各トラックのfader, panpot, muteおよびoutputmode値を保持します
            </summary>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqMixer.#ctor(System.Int32,System.Int32,System.Int32,System.Int32)">
            <summary>
            各パラメータを指定したコンストラクタ
            </summary>
            <param name="master_fader">MasterFader値</param>
            <param name="master_panpot">MasterPanpot値</param>
            <param name="master_mute">MasterMute値</param>
            <param name="output_mode">OutputMode値</param>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqMixer.#ctor(Boare.Lib.Vsq.TextMemoryStream,bocoree.ByRef{System.String})">
            <summary>
            テキストファイルからのコンストラクタ
            </summary>
            <param name="sr">読み込み対象</param>
            <param name="last_line">最後に読み込んだ行が返されます</param>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqMixer.write(Boare.Lib.Vsq.TextMemoryStream)">
            <summary>
            このインスタンスをテキストファイルに出力します
            </summary>
            <param name="sw">出力対象</param>
        </member>
        <member name="T:Boare.Lib.Vsq.VsqMixerEntry">
            <summary>
            VsqMixerのSlave要素に格納される各エントリ
            </summary>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqMixerEntry.#ctor(System.Int32,System.Int32,System.Int32,System.Int32)">
            <summary>
            各パラメータを指定したコンストラクタ
            </summary>
            <param name="feder">Feder値</param>
            <param name="panpot">Panpot値</param>
            <param name="mute">Mute値</param>
            <param name="solo">Solo値</param>
        </member>
        <member name="F:Boare.Lib.Vsq.TimeSigTableEntry.Clock">
            <summary>
            クロック数
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.TimeSigTableEntry.Numerator">
            <summary>
            拍子の分子
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.TimeSigTableEntry.Denominator">
            <summary>
            拍子の分母
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.TimeSigTableEntry.BarCount">
            <summary>
            何小節目か
            </summary>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqBPList.#ctor(System.Int32,System.Int32,System.Int32)">
            <summary>
            コンストラクタ。デフォルト値はココで指定する。
            </summary>
            <param name="default_value"></param>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqBPList.getDefault">
            <summary>
            このBPListのデフォルト値を取得します
            </summary>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqBPList.renumberIDs">
            <summary>
            データ点のIDを一度クリアし，新たに番号付けを行います．
            IDは，Redo,Undo用コマンドが使用するため，このメソッドを呼ぶとRedo,Undo操作が破綻する．XMLからのデシリアライズ直後のみ使用するべき．
            </summary>
        </member>
        <member name="P:Boare.Lib.Vsq.VsqBPList.Data">
            <summary>
            XMLシリアライズ用
            </summary>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqBPList.clone">
            <summary>
            このVsqBPListの同一コピーを作成します
            </summary>
            <returns></returns>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqBPList.getMaximum">
            <summary>
            このリストに設定された最大値を取得します。
            </summary>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqBPList.getMinimum">
            <summary>
            このリストに設定された最小値を取得します
            </summary>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqBPList.move(System.Int32,System.Int32,System.Int32)">
            <summary>
            時刻clockのデータを時刻new_clockに移動します。
            時刻clockにデータがなければ何もしない。
            時刻new_clockに既にデータがある場合、既存のデータは削除される。
            </summary>
            <param name="clock"></param>
            <param name="new_clock"></param>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqBPList.findElement(System.Int64)">
            <summary>
            指定したid値を持つVsqBPPairを検索し、その結果を返します。
            </summary>
            <param name="id"></param>
            <returns></returns>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqBPList.print(bocoree.java.io.BufferedWriter,System.Int32,System.String)">
            <summary>
            このBPListの内容をテキストファイルに書き出します
            </summary>
            <param name="writer"></param>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqBPList.print(Boare.Lib.Vsq.TextMemoryStream,System.Int32,System.String)">
            <summary>
            このBPListの内容をテキストファイルに書き出します
            </summary>
            <param name="writer"></param>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqBPList.appendFromText(Boare.Lib.Vsq.TextMemoryStream)">
            <summary>
            テキストファイルからデータ点を読込み、現在のリストに追加します
            </summary>
            <param name="reader"></param>
            <returns></returns>
        </member>
        <member name="T:Boare.Lib.Vsq.VsqCommand">
            <summary>
            
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.VsqCommand.Args">
            <summary>
            コマンドの処理内容を保持します。Args具体的な内容は、処理するクラスごとに異なります
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.VsqCommand.Children">
            <summary>
            後続するコマンド
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.VsqCommand.Parent">
            <summary>
            このコマンドの親
            </summary>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqCommand.#ctor">
            <summary>
            VsqCommandはgenerateCommand*からコンストラクトしなければならない。
            </summary>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqCommand.generateCommandAddTrack(Boare.Lib.Vsq.VsqTrack,Boare.Lib.Vsq.VsqMixerEntry,System.Int32)">
            <summary>
            トラックを追加するコマンドを発行します．trackはClone()して渡さなくてもよい
            </summary>
            <param name="track"></param>
            <returns></returns>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqCommand.generateCommandTrackChangeName(System.Int32,System.String)">
            <summary>
            トラック名を変更するコマンドを作成します
            </summary>
            <param name="track"></param>
            <param name="new_name"></param>
            <returns></returns>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqCommand.generateCommandEventChangeClockAndIDContaintsRange(System.Int32,System.Int32[],System.Int32[],Boare.Lib.Vsq.VsqID[])">
            <summary>
            VsqIDとClockを同時に変更するコマンドを発行します
            </summary>
            <param name="track"></param>
            <param name="internal_ids"></param>
            <param name="clocks"></param>
            <param name="values"></param>
            <returns></returns>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqCommand.generateCommandEventChangeClockAndIDContaints(System.Int32,System.Int32,System.Int32,Boare.Lib.Vsq.VsqID)">
            <summary>
            VsqIDとClockを同時に変更するコマンドを発行します
            </summary>
            <param name="track"></param>
            <param name="internal_id"></param>
            <param name="clock"></param>
            <param name="value"></param>
            <returns></returns>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqCommand.generateCommandEventChangeIDContaintsRange(System.Int32,System.Int32[],Boare.Lib.Vsq.VsqID[])">
            <summary>
            VsqIDの内容を変更するコマンドを発行します。
            </summary>
            <param name="track"></param>
            <param name="internal_ids"></param>
            <param name="values"></param>
            <returns></returns>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqCommand.generateCommandEventChangeIDContaints(System.Int32,System.Int32,Boare.Lib.Vsq.VsqID)">
            <summary>
            VsqIDの内容を変更するコマンドを発行します。
            </summary>
            <param name="track"></param>
            <param name="internal_id"></param>
            <param name="value"></param>
            <returns></returns>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqCommand.generateCommandEventChangeClockAndLength(System.Int32,System.Int32,System.Int32,System.Int32)">
            <summary>
            ノートの長さを変更するコマンドを発行します
            </summary>
            <param name="track"></param>
            <param name="internal_id"></param>
            <param name="new_clock"></param>
            <param name="new_length"></param>
            <returns></returns>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqCommand.generateCommandEventChangeLength(System.Int32,System.Int32,System.Int32)">
            <summary>
            ノートの長さを変更するコマンドを発行します
            </summary>
            <param name="track"></param>
            <param name="internal_id"></param>
            <param name="new_length"></param>
            <returns></returns>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqCommand.generateCommandEventChangeVelocity(System.Int32,bocoree.java.util.Vector{bocoree.ValuePair{System.Int32,System.Int32}})">
            <summary>
            指定したトラックの，音符のベロシティ(VEL)を変更するコマンドを発行します．
            リストvelocityには，音符を指定するInteralIDと，変更したいベロシティの値のペアを登録します
            </summary>
            <param name="track"></param>
            <param name="velocity"></param>
            <returns></returns>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqCommand.generateCommandEventChangeAccent(System.Int32,bocoree.java.util.Vector{bocoree.ValuePair{System.Int32,System.Int32}})">
            <summary>
            指定したトラックの、音符のアクセント(Accent)を変更するコマンドを発行します。
            リストaccent_listには、音符を指定するInternalIDと、変更したいアクセント値のペアを登録します
            </summary>
            <param name="track"></param>
            <param name="accent_list"></param>
            <returns></returns>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqCommand.generateCommandEventChangeDecay(System.Int32,bocoree.java.util.Vector{bocoree.ValuePair{System.Int32,System.Int32}})">
            <summary>
            指定したトラックの、音符のディケイ(Decay)を変更するコマンドを発行します。
            リストdecay_listには、音符を指定するInternalIDと、変更したいディケイ値のペアを登録します
            </summary>
            <param name="track"></param>
            <param name="decay_list"></param>
            <returns></returns>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqCommand.generateCommandTrackCurveEdit(System.Int32,System.String,bocoree.java.util.Vector{Boare.Lib.Vsq.BPPair})">
            <summary>
            vsqファイルのカーブを編集するコマンドを発行します．
            </summary>
            <param name="track"></param>
            <param name="target"></param>
            <param name="edit"></param>
            <returns></returns>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqCommand.generateCommandTrackCurveEdit2(System.Int32,System.String,bocoree.java.util.Vector{System.Int64},bocoree.java.util.TreeMap{System.Int32,Boare.Lib.Vsq.VsqBPPair})">
            <summary>
            コントロールカーブを編集するコマンドを発行します．
            </summary>
            <param name="track">編集対象のコントロールカーブが含まれるトラックの番号</param>
            <param name="target">編集対象のコントロールカーブ名</param>
            <param name="delete">削除を行うデータ点のリスト</param>
            <param name="add_or_move">追加または移動を行うデータ点のリスト</param>
            <returns></returns>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqCommand.generateCommandTrackCurveEdit2All(System.Int32,bocoree.java.util.Vector{System.String},bocoree.java.util.Vector{bocoree.java.util.Vector{System.Int64}},bocoree.java.util.Vector{bocoree.java.util.TreeMap{System.Int32,Boare.Lib.Vsq.VsqBPPair}})">
            <summary>
            コントロールカーブを編集するコマンドを発行します．
            </summary>
            <param name="track">編集対象のコントロールカーブが含まれるトラックの番号</param>
            <param name="target">編集対象のコントロールカーブ名</param>
            <param name="delete">削除を行うデータ点のリスト</param>
            <param name="add_or_move">追加または移動を行うデータ点のリスト</param>
            <returns></returns>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqCommand.generateCommandEventChangeLyric(System.Int32,System.Int32,System.String,System.String,System.Boolean)">
            <summary>
            特定位置のイベントの歌詞と発音記号を変更するコマンドを発行します。
            </summary>
            <param name="track"></param>
            <param name="internal_id"></param>
            <param name="phrase"></param>
            <param name="phonetic_symbol"></param>
            <returns></returns>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqCommand.generateCommandEventChangeClock(System.Int32,System.Int32,System.Int32)">
            <summary>
            ノートのクロック位置を変更するコマンドを発行します
            </summary>
            <param name="track"></param>
            <param name="internal_id"></param>
            <param name="value"></param>
            <returns></returns>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqCommand.generateCommandEventDelete(System.Int32,System.Int32)">
            <summary>
            ノートを削除するコマンドを発行します
            </summary>
            <param name="clock"></param>
            <returns></returns>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqCommand.generateCommandEventAdd(System.Int32,Boare.Lib.Vsq.VsqEvent)">
            <summary>
            ノートを追加するコマンドを発行します。
            </summary>
            <param name="track"></param>
            <param name="item"></param>
            <returns></returns>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqCommand.generateCommandEventChangeNote(System.Int32,System.Int32,System.Int32)">
            <summary>
            ノートの音程を変更するコマンドを発行します
            </summary>
            <param name="track"></param>
            <param name="internal_id"></param>
            <param name="value"></param>
            <returns></returns>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqCommand.generateCommandEventChangeClockAndNote(System.Int32,System.Int32,System.Int32,System.Int32)">
            <summary>
            ノートの音程とクロックを変更するコマンドを発行します
            </summary>
            <param name="track"></param>
            <param name="internal_id"></param>
            <param name="value"></param>
            <returns></returns>
        </member>
        <member name="T:Boare.Lib.Vsq.VsqEvent">
            <summary>
            vsqファイルのメタテキスト内に記述されるイベント。
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.VsqEvent.InternalID">
            <summary>
            内部で使用するインスタンス固有のID
            </summary>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqEvent.write(Boare.Lib.Vsq.TextMemoryStream)">
            <summary>
            インスタンスをテキストファイルに出力します
            </summary>
            <param name="sw">出力先</param>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqEvent.clone">
            <summary>
            このオブジェクトのコピーを作成します
            </summary>
            <returns></returns>
        </member>
        <member name="T:Boare.Lib.Vsq.VsqFile">
            <summary>
            VSQファイルの内容を保持するクラス
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.VsqFile.Track">
            <summary>
            トラックのリスト．最初のトラックはMasterTrackであり，通常の音符が格納されるトラックはインデックス1以降となる
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.VsqFile.TempoTable">
            <summary>
            テンポ情報を保持したテーブル
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.VsqFile.TotalClocks">
            <summary>
            曲の長さを取得します。(クロック(4分音符は480クロック))
            </summary>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqFile.reflectPitch(Boare.Lib.Vsq.VsqFile,System.Int32,Boare.Lib.Vsq.VsqBPList)">
            <summary>
            master==MasterPitchControl.Pitchの場合、m_pitchからPITとPBSを再構成。
            master==MasterPitchControl.PITandPBSの場合、PITとPBSからm_pitchを再構成
            </summary>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqFile.checkPreSendTimeValidity(System.Int32)">
            <summary>
            プリセンドタイムの妥当性を判定します
            </summary>
            <param name="ms_pre_send_time"></param>
            <returns></returns>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqFile.speedingUp(System.Double)">
            <summary>
            テンポ値を一律order倍します。
            </summary>
            <param name="order"></param>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqFile.executeCommand(Boare.Lib.Vsq.VsqCommand)">
            <summary>
            このインスタンスに編集を行うコマンドを実行します
            </summary>
            <param name="command">実行するコマンド</param>
            <returns>編集結果を元に戻すためのコマンドを返します</returns>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqFile.removePart(System.Int32,System.Int32)">
            <summary>
            VSQファイルの指定されたクロック範囲のイベント等を削除します
            </summary>
            <param name="vsq">編集対象のVsqFileインスタンス</param>
            <param name="clock_start">削除を行う範囲の開始クロック</param>
            <param name="clock_end">削除を行う範囲の終了クロック</param>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqFile.shift(Boare.Lib.Vsq.VsqFile,System.Int32)">
            <summary>
            vsqファイル全体のイベントを，指定したクロックだけ遅らせます．
            ただし，曲頭のテンポ変更イベントと歌手変更イベントはクロック0から移動しません．
            この操作を行うことで，TimesigTableの情報は破綻します（仕様です）．
            </summary>
            <param name="delta_clock"></param>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqFile.clone">
            <summary>
            このインスタンスのコピーを作成します
            </summary>
            <returns>このインスタンスのコピー</returns>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqFile.getBarLineIterator(System.Int32)">
            <summary>
            小節の区切りを順次返すIterator。
            </summary>
            <returns></returns>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqFile.getBaseTempo">
            <summary>
            基本テンポ値を取得します
            </summary>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqFile.getPreMeasure">
            <summary>
            プリメジャー値を取得します
            </summary>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqFile.getPreMeasureClocks">
            <summary>
            プリメジャー部分の長さをクロックに変換した値を取得します．
            </summary>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqFile.calculatePreMeasureInClock">
            <summary>
            プリメジャーの長さ(クロック)を計算します。
            </summary>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqFile.getSecFromClock(System.Double)">
            <summary>
            指定したクロックにおける、clock=0からの演奏経過時間(sec)を取得します
            </summary>
            <param name="clock"></param>
            <returns></returns>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqFile.getClockFromSec(System.Double)">
            <summary>
            指定した時刻における、クロックを取得します
            </summary>
            <param name="time"></param>
            <returns></returns>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqFile.getTimesigAt(System.Int32)">
            <summary>
            指定したクロックにおける拍子を取得します
            </summary>
            <param name="clock"></param>
            <param name="numerator"></param>
            <param name="denominator"></param>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqFile.getTempoAt(System.Int32)">
            <summary>
            指定したクロックにおけるテンポを取得します。
            </summary>
            <param name="clock"></param>
            <returns></returns>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqFile.getClockFromBarCount(System.Int32)">
            <summary>
            指定した小節の開始クロックを調べます。ここで使用する小節数は、プリメジャーを考慮しない。即ち、曲頭の小節が0である。
            </summary>
            <param name="bar_count"></param>
            <returns></returns>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqFile.getBarCountFromClock(System.Int32)">
            <summary>
            指定したクロックが、曲頭から何小節目に属しているかを調べます。ここで使用する小節数は、プリメジャーを考慮しない。即ち、曲頭の小節が0である。
            </summary>
            <param name="clock"></param>
            <returns></returns>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqFile.getTickPerQuarter">
            <summary>
            4分の1拍子1音あたりのクロック数を取得します
            </summary>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqFile.#ctor(System.String,System.Int32,System.Int32,System.Int32,System.Int32)">
            <summary>
            空のvsqファイルを構築します
            </summary>
            <param name="pre_measure"></param>
            <param name="numerator"></param>
            <param name="denominator"></param>
            <param name="tempo"></param>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqFile.#ctor(System.String,System.String)">
            <summary>
            vsqファイルからのコンストラクタ
            </summary>
            <param name="_fpath"></param>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqFile.updateTimesigInfo">
            <summary>
            TimeSigTableの[*].Clockの部分を更新します
            </summary>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqFile.updateTempoInfo">
            <summary>
            TempoTableの[*].Timeの部分を更新します
            </summary>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqFile.updateTotalClocks">
            <summary>
            VsqFile.Executeの実行直後などに、m_total_clocksの値を更新する
            </summary>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqFile.getTotalSec">
            <summary>
            曲の長さを取得する。(sec)
            </summary>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqFile.printLyricTable(System.Int32,System.String)">
            <summary>
            指定された番号のトラックに含まれる歌詞を指定されたファイルに出力します
            </summary>
            <param name="track"></param>
            <param name="fpath"></param>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqFile.substring127Bytes(System.String,System.String)">
            <summary>
            文字列sの先頭から文字列を切り取るとき，切り取った文字列をencodingによりエンコードした結果が127Byte以下になるように切り取ります．
            </summary>
            <param name="s"></param>
            <param name="encoding"></param>
            <returns></returns>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqFile.getPresendClockAt(System.Int32,System.Int32)">
            <summary>
            指定したクロックにおけるプリセンド・クロックを取得します
            </summary>
            <param name="clock"></param>
            <param name="msPreSend"></param>
            <returns></returns>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqFile.generateExpressionNRPN(Boare.Lib.Vsq.VsqFile,System.Int32,System.Int32)">
            <summary>
            指定したトラックから、Expression(DYN)のNRPNリストを作成します
            </summary>
            <param name="track"></param>
            <param name="msPreSend"></param>
            <returns></returns>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqFile.generateHeaderNRPN">
            <summary>
            先頭に記録されるNRPNを作成します
            </summary>
            <returns></returns>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqFile.generateSingerNRPN(Boare.Lib.Vsq.VsqFile,Boare.Lib.Vsq.VsqEvent,System.Int32)">
            <summary>
            歌手変更イベントから，NRPNを作成します
            </summary>
            <param name="vsq"></param>
            <param name="ve"></param>
            <param name="msPreSend"></param>
            <returns></returns>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqFile.generateNoteNRPN(Boare.Lib.Vsq.VsqFile,System.Int32,Boare.Lib.Vsq.VsqEvent,System.Int32,System.Byte,System.Boolean)">
            <summary>
            音符イベントから，NRPNを作成します
            </summary>
            <param name="ve"></param>
            <param name="msPreSend"></param>
            <param name="note_loc"></param>
            <returns></returns>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqFile.generateNRPN(Boare.Lib.Vsq.VsqFile,System.Int32,System.Int32,System.Int32,System.Int32)">
            <summary>
            指定したトラックのデータから，NRPNを作成します
            </summary>
            <param name="vsq"></param>
            <param name="track"></param>
            <param name="msPreSend"></param>
            <param name="clock_start"></param>
            <param name="clock_end"></param>
            <returns></returns>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqFile.generateNRPN(Boare.Lib.Vsq.VsqFile,System.Int32,System.Int32)">
            <summary>
            指定したトラックのデータから，NRPNを作成します
            </summary>
            <param name="vsq"></param>
            <param name="track"></param>
            <param name="msPreSend"></param>
            <returns></returns>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqFile.generatePitchBendNRPN(Boare.Lib.Vsq.VsqFile,System.Int32,System.Int32)">
            <summary>
            指定したトラックから、PitchBendのNRPNを作成します
            </summary>
            <param name="vsq"></param>
            <param name="track"></param>
            <param name="msPreSend"></param>
            <returns></returns>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqFile.generatePitchBendSensitivityNRPN(Boare.Lib.Vsq.VsqFile,System.Int32,System.Int32)">
            <summary>
            指定したトラックからPitchBendSensitivityのNRPNを作成します
            </summary>
            <param name="vsq"></param>
            <param name="track"></param>
            <param name="msPreSend"></param>
            <returns></returns>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqFile.generateVibratoNRPN(Boare.Lib.Vsq.VsqFile,Boare.Lib.Vsq.VsqEvent,System.Int32)">
            <summary>
            指定した音符イベントから，ビブラート出力用のNRPNを作成します
            </summary>
            <param name="vsq"></param>
            <param name="ve"></param>
            <param name="msPreSend"></param>
            <returns></returns>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqFile.generateVoiceChangeParameterNRPN(Boare.Lib.Vsq.VsqFile,System.Int32,System.Int32)">
            <summary>
            指定したトラックから、VoiceChangeParameterのNRPNのリストを作成します
            </summary>
            <param name="vsq"></param>
            <param name="track"></param>
            <param name="msPreSend"></param>
            <returns></returns>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqFile.write(System.String)">
            <summary>
            このインスタンスをファイルに出力します
            </summary>
            <param name="file"></param>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqFile.write(System.String,System.Int32,System.String)">
            <summary>
            このインスタンスをファイルに出力します
            </summary>
            <param name="file"></param>
            <param name="msPreSend">プリセンドタイム(msec)</param>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqFile.getLinePrefix(System.Int32)">
            <summary>
            メタテキストの行番号から、各行先頭のプレフィクス文字列("DM:0123:"等)を作成します
            </summary>
            <param name="count"></param>
            <returns></returns>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqFile.getHowManyDigits(System.Int32)">
            <summary>
            数numberの桁数を調べます。（10進数のみ）
            </summary>
            <param name="number"></param>
            <returns></returns>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqFile.writeCharArray(bocoree.java.io.RandomAccessFile,System.Char[])">
            <summary>
            char[]を書き込む。
            </summary>
            <param name="fs"></param>
            <param name="item"></param>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqFile.writeUnsignedShort(bocoree.java.io.RandomAccessFile,System.Int32)">
            <summary>
            ushort値をビッグエンディアンでfsに書き込みます
            </summary>
            <param name="data"></param>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqFile.writeUnsignedInt(bocoree.java.io.RandomAccessFile,System.Int64)">
            <summary>
            uint値をビッグエンディアンでfsに書き込みます
            </summary>
            <param name="data"></param>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqFile.getBytesFlexibleLengthUnsignedLong(System.Int64)">
            <summary>
            SMFの可変長数値表現を使って、ulongをbyte[]に変換します
            </summary>
            <param name="number"></param>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqFile.writeFlexibleLengthUnsignedLong(bocoree.java.io.RandomAccessFile,System.Int64)">
            <summary>
            整数を書き込む。フォーマットはSMFの可変長数値表現。
            </summary>
            <param name="fs"></param>
            <param name="number"></param>
        </member>
        <member name="T:Boare.Lib.Vsq.VsqNote">
            <summary>
            音階を表現するためのクラス
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.VsqNote.Value">
            <summary>
            このインスタンスが表す音階のノート値
            </summary>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqNote.#ctor(System.Int32)">
            <summary>
            音階のノート値からのコンストラクタ。
            </summary>
            <param name="note">この音階を初期化するためのノート値</param>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqNote.isWhiteKey">
            <summary>
            このインスタンスが表す音階が、ピアノの白鍵かどうかを返します
            </summary>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqNote.isNoteWhiteKey(System.Int32)">
            <summary>
            指定した音階が、ピアノの白鍵かどうかを返します
            </summary>
            <param name="note"></param>
            <returns></returns>
        </member>
        <member name="T:Boare.Lib.Vsq.VsqTrack">
            <summary>
            Stores the data of a vsq track.
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.VsqTrack.MetaText">
            <summary>
            トラックの名前。
            </summary>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqTrack.getPitchAt(System.Int32)">
            <summary>
            ピッチベンド。Cent単位
            </summary>
            <param name="clock"></param>
            <returns></returns>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqTrack.getSingerEventAt(System.Int32)">
            <summary>
            指定したクロック位置において、歌唱を担当している歌手のVsqEventを返します。
            </summary>
            <param name="clock"></param>
            <returns></returns>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqTrack.getSingerEventIterator">
            <summary>
            歌手変更イベントを，曲の先頭から順に返すIteratorを取得します
            </summary>
            <returns></returns>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqTrack.getNoteEventIterator">
            <summary>
            音符イベントを，曲の先頭から順に返すIteratorを取得します
            </summary>
            <returns></returns>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqTrack.printMetaText(Boare.Lib.Vsq.TextMemoryStream,System.Int32,System.Int32)">
            <summary>
            メタテキストを，メモリー上のストリームに出力します
            </summary>
            <param name="sw"></param>
            <param name="encode"></param>
            <param name="eos"></param>
            <param name="start"></param>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqTrack.printMetaText(System.String)">
            <summary>
            メタテキストを，指定されたファイルに出力します
            </summary>
            <param name="file"></param>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqTrack.getMaster">
            <summary>
            Masterを取得します
            </summary>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqTrack.getMixer">
            <summary>
            Mixerを取得します
            </summary>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqTrack.getCommon">
            <summary>
            Commonを取得します
            </summary>
            <returns></returns>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqTrack.changeRenderer(System.String,bocoree.java.util.Vector{Boare.Lib.Vsq.VsqID})">
            <summary>
            指定したトラックのレンダラーを変更します
            </summary>
            <param name="track"></param>
            <param name="new_renderer"></param>
            <param name="singers"></param>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqTrack.getCurve(System.String)">
            <summary>
            このトラックが保持している，指定されたカーブのBPListを取得します
            </summary>
            <param name="curve"></param>
            <returns></returns>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqTrack.getEditedStart">
            <summary>
            このトラックの，最後に編集が加えられた範囲の，開始位置（クロック）を取得します．
            </summary>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqTrack.getEditedEnd">
            <summary>
            このトラックの，最後に編集が加えられた範囲の，終了位置（クロック）を取得します．
            </summary>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqTrack.resetEditedArea">
            <summary>
            このトラックの，編集範囲（EditedStart, EditedEnd）をリセットします．
            </summary>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqTrack.clone">
            <summary>
            このインスタンスのコピーを作成します
            </summary>
            <returns></returns>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqTrack.#ctor(System.Int32,System.Int32,System.Int32)">
            <summary>
            Master Trackを構築
            </summary>
            <param name="tempo"></param>
            <param name="numerator"></param>
            <param name="denominator"></param>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqTrack.#ctor(System.String,System.String)">
            <summary>
            Master Trackでないトラックを構築。
            </summary>
            <param name="name"></param>
            <param name="singer"></param>
        </member>
        <member name="M:Boare.Lib.Vsq.VsqTrack.getLyricLength">
            <summary>
            歌詞の文字数を調べます
            </summary>
            <returns></returns>
        </member>
        <member name="T:Boare.Lib.Vsq.VsqVoiceLanguage">
            <summary>
            Represents the voice language of singer.
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.VsqVoiceLanguage.Japanese">
            <summary>
            Japanese
            </summary>
        </member>
        <member name="F:Boare.Lib.Vsq.VsqVoiceLanguage.English">
            <summary>
            English
            </summary>
        </member>
    </members>
</doc>
